curl https://api.numeralhq.com/tax/merchants/merch_1765503753979c37c5f24 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-01-01"
curl https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-01-01"
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"reference_merchant_id": "my-seller-123",
"name": "Test Seller",
"email": "seller@example.com",
"default_address": {
"address_line_1": "123 Main St",
"address_city": "San Francisco",
"address_province": "CA",
"address_postal_code": "94105",
"address_country": "US"
},
"tax_ids": [],
"status": "active",
"testmode": true,
"created_at": 1735689600,
"updated_at": 1735689600
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Get Merchant
Retrieve a merchant by ID or reference_merchant_id
GET
/
tax
/
merchants
/
{merchant_id}
curl https://api.numeralhq.com/tax/merchants/merch_1765503753979c37c5f24 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-01-01"
curl https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-01-01"
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"reference_merchant_id": "my-seller-123",
"name": "Test Seller",
"email": "seller@example.com",
"default_address": {
"address_line_1": "123 Main St",
"address_city": "San Francisco",
"address_province": "CA",
"address_postal_code": "94105",
"address_country": "US"
},
"tax_ids": [],
"status": "active",
"testmode": true,
"created_at": 1735689600,
"updated_at": 1735689600
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Retrieve a merchant by internal ID (
merch_xxx) or your external reference_merchant_id.
Headers
Path Parameters
The merchant ID (e.g.,
merch_1765503753979c37c5f24) or your reference_merchant_id (e.g., my-seller-123).Response
curl https://api.numeralhq.com/tax/merchants/merch_1765503753979c37c5f24 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-01-01"
curl https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-01-01"
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"reference_merchant_id": "my-seller-123",
"name": "Test Seller",
"email": "seller@example.com",
"default_address": {
"address_line_1": "123 Main St",
"address_city": "San Francisco",
"address_province": "CA",
"address_postal_code": "94105",
"address_country": "US"
},
"tax_ids": [],
"status": "active",
"testmode": true,
"created_at": 1735689600,
"updated_at": 1735689600
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Authorizations
Response
Merchant details